setTimeout(function() {
    $('.msg').fadeOut("slow");
}, 8000);

$("div#tab-principal").sortable({
    items: "#list tr",
    cursor: "move",
    distance: 10,
    out: function() {
        var id = [];
        $.each($('input[name^="marcar_principal"]'), function() {
            id.push($(this).val());
        });

        $.post("modulos/banner/ordenar.php", {
            id: id
        }, function(a) {});
    }
});

$("div#tab-secundario").sortable({
    items: "#list tr",
    cursor: "move",
    distance: 10,
    out: function() {
        var id = [];
        $.each($('input[name^="marcar_secundario"]'), function() {
            id.push($(this).val());
        });

        $.post("modulos/banner/ordenar.php", {
            id: id
        }, function(a) {});
    }
});

$("div.ordenar").sortable({
    items: "#list tr",
    cursor: "move",
    distance: 10,
    out: function() {
        var modulo = $('div.ordenar').data("modulo");
        var id = [];
        $.each($('input[name^="marcar"]'), function() {
            id.push($(this).val());
        });

        $.post("modulos/" + modulo + "/ordenar.php", {
            id: id
        }, function(a) {});
    }
});

function updateLegenda(modulo, id, legenda) {
    $.post("modulos/" + modulo + "/processo.php?t=update-legenda", {
        id: id,
        legenda: legenda
    }, function(data) {
        if (data == "") {
            console.log('Erro na edição da legenda.');
        }
    }, "json");
}

function deletarImg(modulo, id, diretorio, img, tipo) {
    if (id == undefined) {
        id = null;
    }

    if (diretorio == undefined) {
        diretorio = null;
    }

    if (img == undefined) {
        img = null;
    }

    $.post("modulos/" + modulo + "/processo.php?t=deletar-" + tipo, {
        id: id,
        diretorio: diretorio,
        img: img
    }, function(data) {
        return data;
    }, "json");
}

$("div.galeria.draggable").sortable({
    items: ".img",
    cursor: "move",
    distance: 12,
    out: function() {
        var id = [];
        var modulo = "";

        $.each($(this).find('a.btn-danger.gallery'), function() {
            id.push($(this).data("id"));
            modulo = $(this).data("modulo");
        });

        updatePosicao(modulo, id);
    }
});

function updatePosicao(modulo, id) {
    if (id == undefined) {
        id = null;
    }

    $.post("modulos/" + modulo + "/processo.php?t=update-posicao", {
        id: id
    }, function(data) {
        return data;
    }, "json");
}

function responsiveMenu()
{
    var menu = $("#menuPrincipal");

    if (menu.hasClass("responsive")) {
        menu.find('li.icon i').removeClass('fa fa-times').addClass('fa fa-bars');
        menu.removeClass("responsive");
    } else {
        menu.find('li.icon i').removeClass('fa fa-bars').addClass('fa fa-times');
        menu.addClass("responsive");
    }
}
